import arg from "arg";

export interface Arg {
    skipPrompt: boolean;
    git: boolean;
    template: string;
    runInstall: boolean;
    targetDirectory?: string
    templatesDirectory?: string
}

export function parseArgs(rawArgs:string[]): Arg {
    const args = arg({
        '--git': Boolean,
        '--yes': Boolean,
        '--install': Boolean,
        '-g': '--git',
        '-y': '--yes',
        '-i': '--install'
    }, {
        argv: rawArgs.slice(2)
    });

    return {
        "skipPrompt": args['--yes'] || false,
        git: args['--git'] || false,
        template: args._[0],
        runInstall: args['--install'] || false
    }
}