import { prompt } from "inquirer";
import { Arg } from "./arg";


export async function promptForMissingOption(options: Arg) {
    const defaultTemplate = 'javascript';
    if (options.skipPrompt) {
        return { 
            ...options, 
            template: options.template || defaultTemplate
        }
    }

    let questions: any[] = [];
    const { template, git } = options;
    if (!template) {
        questions = [{
            type: "list",
            name: "template",
            message: "Please choose a template to use",
            choices: ["javascript", "typescript"],
            default: false
        }]
    };

    if ( !git ) {
        questions = [...questions, 
        {
            type: 'confirm',
            name: 'git',
            message: 'Initialize a git repository ?',
            default: false
        }]
    };

const answers = await prompt(questions);
    return {
        ...options,
        template: options.template || answers.template,
        git: options.git || answers.git
    }
}